# POST New

#### `POST /participants/customers/new` <a href="#post-participants-customers-new" id="post-participants-customers-new"></a>

```
const postParticipantCustomer = () => {
  const body = {
    request_id: "7fbab305-2679-4279-808b-9b7a63a55c85",
    first_name: "Gaurav",
    last_name: "Mehta",
    address_one: "Near CST",
    address_two: "Fort",
    country: "India",
    signed_timestamp: "1603378501286",
    email: "gewgawrav@gmail.com",
    metadata: {},
    state: "MH",
    city: "MUMBAI",
    date_of_birth: "1989-10-13",
    id_number_type: "Passport",
    id_number: "123456789",
    zip: "12345",
    prefunded: false
  }
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'POST' + '/participants/customers/new' + JSON.stringify(body)
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
 const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(
    `https://api.ndax.in/participants/customers/new`,
    options
  )
}
```

> Sample Request

```
{
  "request_id": "7fbab305-2679-4279-808b-9b7a63a55c85",
  "first_name": "John",
  "last_name": "Smith",
  "email": "email-example@mail.com",
  "address_one": "1 Main St.",
  "address_two": "Suite 1000",
  "city": "Chicago",
  "state": "IL",
  "zip": "12345",
  "country": "United States",
  "date_of_birth": "1985-09-02",
  "id_number_type": "ssn",
  "id_number": "123456789",
  "signed_timestamp": 1603378501286,
  "prefunded": false,
  "metadata": {}
}
```

> Sample Response

```
{
  "message": {
    "first_name": "John",
    "last_name": "Smith",
    "email": "email-example@mail.com",
    "address_one": "1 Main St.",
    "address_two": "Suite 1000",
    "country": "United States",
    "state": "IL",
    "city": "Chicago",
    "zip": "12345",
    "date_of_birth": "1985-09-02",
    "id_number_type": "ssn",
    "id_number": "123456789",
    "non_us_other_type": null,
    "id_issuing_authority": null,
    "signed_timestamp": 1603378501286,
    "risk_rating": null,
    "metadata": {},
    "platform_code": "ABC123",
    "participant_code": "XYZ456"
  }
}
```

&#x20;This endpoint is only available to certain participants leveraging NDAX for customer settlements. Please contact us for more information on enabling this endpoint.

Submits a customer to your platform.

Request body:

<table><thead><tr><th width="172.33333333333331">Parameter</th><th width="435">Description</th><th>Type</th></tr></thead><tbody><tr><td>request_id</td><td>A universally unique identifier (UUID) for this request, optional<br>Note: To ensure idempotence, it is recommended to include this parameter</td><td>string</td></tr><tr><td>first_name</td><td>The first name of the customer, required</td><td>string</td></tr><tr><td>last_name</td><td>The last name of the customer, required</td><td>string</td></tr><tr><td>email</td><td>Customer email address, required<br>Note: NDAX will validate that the <code>email</code> is a correctly formatted email, and that the value is unique per-platform</td><td>string</td></tr><tr><td>address_one</td><td>First line for the customer's address, required<br>Note: PO Box addresses are not accepted</td><td>string</td></tr><tr><td>address_two</td><td>First line for the customer's address, if applicable, optional</td><td>string</td></tr><tr><td>city</td><td>The city customer resides in, required</td><td>string</td></tr><tr><td>state</td><td>The state the customer resides in, required if country is "India"<br>Note: must be one of the supported states</td><td>string</td></tr><tr><td>zip</td><td>Zip code of the customer in the format <code>&#x3C;5digits></code> or <code>&#x3C;5digits>-&#x3C;4digits></code>, e.g. <code>77777</code> or <code>77777-7777</code>, required if country is "United States"</td><td>string</td></tr><tr><td>country</td><td>The country the customer resides in, required<br>Note: must be one of the supported countries.</td><td>string</td></tr><tr><td>date_of_birth</td><td>Date of birth of the customer in the format <code>YYYY-MM-DD</code>, required</td><td>string</td></tr><tr><td>id_number_type</td><td>The type of ID document provided, required<br>Note: must be one of the supported ID types</td><td>string</td></tr><tr><td>id_number</td><td>The ID number for the customer, required</td><td>string</td></tr><tr><td>non_us_other_type</td><td>This is required if you select <code>non_us_other</code> for the <code>id_number_type</code> - a freeform string to describe the ID type</td><td>string</td></tr><tr><td>id_issuing_authority</td><td>The issuing authority for the ID, if available, optional</td><td>string</td></tr><tr><td>risk_rating</td><td>The risk-rating associated with the customer, conditionally required for certain platforms</td><td>string</td></tr><tr><td>signed_timestamp</td><td>The UNIX timestamp (in milliseconds) when the NDAX Services Agreement was accepted by the participant</td><td>timestamp</td></tr><tr><td>prefunded</td><td>Indicates if a customer will be credit checked through their own account or through an omnibus account</td><td>boolean</td></tr><tr><td>metadata</td><td>Can be used to submit any additional unstructed metadata</td><td>object</td></tr></tbody></table>

Additional fields in response:

<table><thead><tr><th width="181.33333333333331">Parameter</th><th width="432">Description</th><th>Type</th></tr></thead><tbody><tr><td>platform_code</td><td>The unique identifier for the Platform onto which the customer has been created</td><td>string</td></tr><tr><td>participant_code</td><td>The NDAX identifier for the new customer<br>Note: this value is key to enable you to submit trades and check account balances for this customer</td><td>string</td></tr></tbody></table>

Possible Responses:

<table><thead><tr><th width="189">Status Code</th><th>Description</th></tr></thead><tbody><tr><td>200 OK</td><td>The customer was successfully created. Note: the request is idempotent only IF the<code>request_id</code> and payload is the <em>same</em> as previously submitted</td></tr><tr><td>400 Bad Request</td><td>The request is invalid, OR the payload is the <em>same</em> as a previously submitted request, but the <code>request_id</code> is <em>different</em>, OR, the <code>request_id</code> is the <em>same</em> as a previously submitted request, but the payload is <em>different</em></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/participants/post-new.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
